// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: PartConstraint.java,v 1.2 2003/03/06 00:40:49 moltmans Exp $
// PartConstraint.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Tue May 23 18:47:53 2000> 
// Time-stamp: <2000-06-09 18:58:53 moltmans> 
package rec.annotate.facts;

import rec.annotate.rules.*;
import rec.geo.*;
import rec.simulate.widgets.*;

/**
 **/
public abstract class PartConstraint extends Annotation
{
  private WSimConstraint m_constraint;
  
  public PartConstraint( WSimConstraint constraint )
  {
    super( constraint.getTime(), constraint.getTime() );
    m_constraint = constraint;
  }

  public WSimConstraint getConstraint() 
  {
    return m_constraint;
  }

  public String getName() 
  {
    return m_constraint.getEnglishName();
  }
  
  
}
